> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drime.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notifications

> Get user notifications

## Overview

Returns a paginated list of notifications for the authenticated user.

## Query Parameters

<ParamField query="per_page" type="integer" default="10">
  Number of notifications per page
</ParamField>

<ParamField query="page" type="integer" default="1">
  Page number to retrieve
</ParamField>

## Response

<ResponseField name="pagination" type="object">
  Paginated list of notifications

  <Expandable title="Pagination properties">
    <ResponseField name="data" type="array">
      Array of notification objects
    </ResponseField>

    <ResponseField name="current_page" type="integer">
      Current page number
    </ResponseField>

    <ResponseField name="last_page" type="integer">
      Last page number
    </ResponseField>

    <ResponseField name="per_page" type="integer">
      Items per page
    </ResponseField>

    <ResponseField name="total" type="integer">
      Total number of notifications
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://app.drime.cloud/api/v1/notifications?per_page=10&page=1" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://app.drime.cloud/api/v1/notifications?per_page=10&page=1',
    {
      headers: {
        'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
      }
    }
  );

  const { pagination } = await response.json();
  const notifications = pagination.data;
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://app.drime.cloud/api/v1/notifications',
      params={'per_page': 10, 'page': 1},
      headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
  )

  notifications = response.json()['pagination']['data']
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "pagination": {
      "current_page": 1,
      "data": [
        {
          "id": "abc123",
          "type": "file_shared",
          "data": {
            "file_name": "document.pdf",
            "shared_by": "colleague@example.com"
          },
          "read_at": null,
          "created_at": "2025-01-15T10:30:00.000000Z"
        }
      ],
      "from": 1,
      "last_page": 1,
      "per_page": 10,
      "to": 1,
      "total": 1
    }
  }
  ```
</ResponseExample>
